diff -u openl2tp-1.8/cli/cli_readline.c openl2tp-1.8/cli/cli_readline.c
--- openl2tp-1.8/cli/cli_readline.c	2020-07-12 11:16:13.583798412 +0300
+++ openl2tp-1.8/cli/cli_readline.c	2020-07-12 11:35:50.872615494 +0300
@@ -18,12 +18,15 @@
  *
  *****************************************************************************/
 
+#define _GNU_SOURCE
+
 #include <stdio.h>
 #include <unistd.h>
 #include <sys/types.h>
 #include <sys/file.h>
 #include <sys/stat.h>
-#include <sys/errno.h>
+#include <fcntl.h>
+#include <errno.h>
 #include <signal.h>
 
 #include <readline/readline.h>
@@ -633,7 +636,7 @@
 
 static int cli_rl_install_signal_handlers(void)
 {
-	__sighandler_t handler;
+	sighandler_t handler;
 
 	rl_catch_signals = 0;
 	rl_clear_signals();
unchanged:
--- openl2tp-1.8.orig/usl/usl_pid.c	2008-05-08 00:44:20.000000000 +0400
+++ openl2tp-1.8/usl/usl_pid.c	2020-07-12 10:29:47.047052036 +0300
@@ -26,6 +26,10 @@
 
 #include "usl.h"
 
+#ifndef WAIT_ANY
+#define WAIT_ANY (-1)
+#endif
+
 /* We maintain a list of child process pids and functions to call when
  * they exit.
  */
unchanged:
--- openl2tp-1.8.orig/l2tp_main.c	2010-02-12 22:09:23.000000000 +0300
+++ openl2tp-1.8/l2tp_main.c	2020-07-12 10:58:59.343655159 +0300
@@ -42,7 +42,7 @@
 #include <setjmp.h>
 #include <sys/utsname.h>
 
-#include <wait.h>
+#include <sys/wait.h>
 
 #include "usl.h"
 #include "l2tp_private.h"
